var system = require("../../../system")
const CtlBase = require("../../ctl.base");
const uuidv4 = require('uuid/v4');
class MsgHistoryCtl extends CtlBase {
  constructor() {
    super("msg", CtlBase.getServiceName(MsgHistoryCtl));
  }
  /**
   * 
   * @param {'*'} uname 
   * @param {*} uid 
   * @param {*} compid 
   * @param {*} msg 
   */
  async notifyClient (p, q, req) {
    let uname = p.uname
    let uid = p.uid
    let compid = p.compid
    let msg = p.msg
    this.socketserver.notifyClient(uname, uid, compid, msg)
    return {}
  }
}
module.exports = MsgHistoryCtl;
