const system = require("../../../system");
const settings = require("../../../../config/settings");
module.exports = (db, DataTypes) => {
  return db.define("msgnotice", {
    sender: DataTypes.STRING,//需要在后台补充
    senderId: DataTypes.STRING,
    fromHeadUrl: DataTypes.STRING,
    target: DataTypes.STRING,//需要在后台补充
    targetId: DataTypes.STRING,
    toHeadUrl: DataTypes.STRING,
    isAcceptedFrom: DataTypes.BOOLEAN,
    isAcceptedTo: DataTypes.BOOLEAN,
    lastMsgId: DataTypes.INTEGER,
    companyid: DataTypes.INTEGER,
  }, {
    paranoid: true,//假的删除
    underscored: true,
    version: true,
    freezeTableName: true,
    //freezeTableName: true,
    // define the table's name
    tableName: 'msgnotice',
    validate: {

    },
    indexes: [
      // Create a unique index on email
      //  {
      //    unique: true,
      //    fields: ['email']
      //  },
      //
      //  // Creates a gin index on data with the jsonb_path_ops operator
      //  {
      //    fields: ['data'],
      //    using: 'gin',
      //    operator: 'jsonb_path_ops'
      //  },
      //
      //  // By default index name will be [table]_[fields]
      //  // Creates a multi column partial index
      //  {
      //    name: 'public_by_author',
      //    fields: ['author', 'status'],
      //    where: {
      //      status: 'public'
      //    }
      //  },
      //
      //  // A BTREE index with a ordered field
      //  {
      //    name: 'title_index',
      //    method: 'BTREE',
      //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
      //  }
    ]
  });
}
